Vulnerability

URL Validation Vulnerability

Publish date: July 21, 2015

CVE-2010-0027

SEVERITY

CRITICAL

//  ADVISORY DATE

21 JUL 2015


DESCRIPTION

The URL validation functionality in Microsoft Internet Explorer 5.01, 6, 6 SP1, 7 and 8, and the ShellExecute API function in Windows 2000 SP4, XP SP2 and SP3, and Server 2003 SP2, does not properly process input parameters, which allows remote attackers to execute arbitrary local programs via a crafted URL, aka "URL Validation Vulnerability."

TREND MICRO PROTECTION INFORMATION

Apply associated Trend Micro DPI Rules.

SOLUTION

Trend Micro Deep Security DPI Rule Number: 1003969

Trend Micro Deep Security DPI Rule Name: 1003969 - URL Validation Vulnerability

AFFECTED SOFTWARE AND VERSION

  • microsoft ie 5.01
  • microsoft ie 6
  • microsoft ie 7
  • microsoft ie 7.0
  • microsoft ie 7.0.5730
  • microsoft ie 7.0.5730.11
  • microsoft ie 7.00.5730.1100
  • microsoft ie 7.00.6000.16386
  • microsoft ie 7.00.6000.16441
  • microsoft ie 8
  • microsoft ie 8.0.6001
  • microsoft windows_2000
  • microsoft windows_2003_server
  • microsoft windows_7 -
  • microsoft windows_server_2003
  • microsoft windows_server_2008
  • microsoft windows_vista
  • microsoft windows_xp
  • microsoft windows_xp -

Featured Stories

Connect with us on